
// 1.Опишіть своїми словами як працює метод forEach.
// Цей метод перебирає кожен елемент масиву та виконує функцію,
// яку передано йому, для кожного елемента.

// 2.Як очистити масив?
// let arr = [1, 2, 3];
// arr = [];

// або через функцию конструктор
// arr = Array();


// 3.Як можна перевірити, що та чи інша змінна є масивом?
// arr.isArray() - якщо так то поверне true, якщр ні то false



// Технічні вимоги:

// - Написати функцію `filterBy()`, яка прийматиме 2 аргументи.
//   Перший аргумент - масив, який міститиме будь-які дані, другий аргумент - тип даних.
// - Функція повинна повернути новий масив, який міститиме всі дані,
//   які були передані в аргумент, за винятком тих, тип яких був переданий другим аргументом.
//   Тобто якщо передати масив ['hello', 'world', 23, '23', null],
//   і другим аргументом передати 'string', то функція поверне масив [23, null].





function filterBy (arrayData, dataTtype) {
    
    return arrayData.filter((elem) => typeof elem !== dataTtype);
}

console.log(filterBy(['word', 456, 'blabla', true, 'macbook', 65], 'string'));
console.log(filterBy(['word', 456, 'blabla', true, 'macbook', 65], 'number'));
console.log(filterBy(['word', 456, 'blabla', true, 'macbook', 65], 'boolean'));